
Foreman - Feature #24041

Move the table in Hardware Models to a React component

06/22/2018 07:16 AM - boaz shust

Status: Closed   

Priority: Normal   

Assignee: boaz shust   

Category: Web Interface   

Target version:    

Difficulty: easy Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5755

  

Description

Please read more about this here: https://community.theforeman.org/t/move-hardware-model-page-to-react/10070

To accomplish this task:

1. Replace the table with pf-react’s TabelView - see how it is done in Katello here: 

https://github.com/Katello/katello/blob/master/webpack/scenes/Subscriptions/SubscriptionsPage.js#L253-L261

2. Redux wiring

3. Create actions

Related issues:

Related to Foreman - Feature #24643: Move pagination to React Closed

Related to Foreman - Feature #24227: Add hosts_count, can_edit/delete/create ... Closed

Associated revisions

Revision 35e37e32 - 02/21/2019 03:55 PM - Boaz Shuster 

Fixes #24041 - Move HW Models Table to pf-react

History

#1 - 07/13/2018 08:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5755 added

#2 - 08/16/2018 02:53 PM - boaz shust

- Related to Feature #24643: Move pagination to React added

#3 - 10/03/2018 01:56 PM - Ohad Levy

- Related to Feature #24227: Add hosts_count, can_edit/delete/create in Models API response added

#4 - 02/21/2019 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 35e37e323c44de265105a9cef8e9dfdb43f298be.

#5 - 03/06/2019 02:52 PM - Marek Hulán

- Triaged set to No

- Fixed in Releases 1.22.0 added

#6 - 04/21/2019 09:31 PM - Tomer Brisker

- Category set to Web Interface
